Subject: Re: [PATCH v2 4/4] for-each-ref: introduce a '--skip-until' option

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2025 08:30:25 -0700

Karthik Nayak <[email-masked]> writes:

> +	if (filter.seek && sorting_options.nr > 1)
> +		die(_("cannot use --skip-until custom sort options"));

Missing "with" before "custom sort".

When I commented on the previous iteration about sorting, I didn't
mean to suggest making them incompatible---it may have some use case
to grab a batch out of the underlying refstore, sort refs in that
batch, and then show them.  But from usability's point of view, I
tend to agree with this design decision.  Such an unnatural batching
and sorting operation is probably not worth supporting.